package gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.concurrent.Flow.Subscriber;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.swing.JTabbedPane;

import events.EntityDrawboxChangedEvent;
import events.EntityDrawboxChangedListener;
import gui.render.DrawboxRectengleRenderingFunction;
import model.Drawbox;
import model.Point;
import repository.Project;

public class DrawboxEditor extends Editable {
	
	Logger logger = Logger.getLogger("gui.DrawboxRectangleEditor");

    DrawboxEditor(ListGUI listGUI) {
        super(listGUI);
        
        canvas = new EditableCanvas();
        add(canvas);
        //canvas.setBackground(Color.GRAY);
        canvas.setDrawboxRectengleRenderingFunction();
        canvas.setVisible(true);
        
        logger.setLevel(Level.CONFIG);
    }

}
